Bug 1476979 - Cannot set ImageProxyAddress with engine-config
Cannot set ImageProxyAddress with engine-config
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
4.1.4.2
x86_64 Linux
unspecified Severity high (vote)
: ovirt-4.1.5
: 4.1.5.1
Assigned To: Daniel Erez
Natalie Gavrielov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 21:01 EDT by Richard Chan
Modified: 2017-08-23 04:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Added ImageProxyAddress key to engine-config.properties file in order to support setting its value using engine-config tool. E.g. engine-config --set ImageProxyAddress=<fqdn>:54323
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:04:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80047 master MERGED tools: expose ImageProxyAddress to engine-config 2017-08-02 03:36 EDT
oVirt gerrit 80085 ovirt-engine-4.1 MERGED tools: expose ImageProxyAddress to engine-config 2017-08-02 03:53 EDT

  None (edit)
Description Richard Chan 2017-07-31 21:01:30 EDT
Description of problem:
After running setup for imageio proxy it asks you to run

engine-config -s ImageProxyAddress=xxxxx:54323 on the engine

However the error message is

Error setting ImageProxyAddress's value. No such entry with version general.


Version-Release number of selected component (if applicable):
ovirt-engine-4.1.4.2-1.el7.centos.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install ovirt-imageio-proxy on a node
2. Follow on-screen instructions (cert etc)
3. At the conclusion try to run engine-config command on engine

Actual results:
Error setting ImageProxyAddress's value. No such entry with version general.



Expected results:
Value is set in engine

Additional info:
Value seems to exist in table

# sudo -u postgres psql engine
psql (9.2.18)
Type "help" for help.

engine=# select * from vdc_options where option_id=977;
 option_id |    option_name    |     option_value     | version 
-----------+-------------------+----------------------+---------
       977 | ImageProxyAddress | localhost:54323 | general
(1 row)

engine=#
Comment 1 Richard Chan 2017-07-31 21:19:04 EDT
This is from a system upgrade 3.6->4.0->4.1.
Comment 2 Richard Chan 2017-08-01 10:18:33 EDT
Karma +1 :-) I have tested this commit on 4.1.4 and it works to set the ImageProxyAddress property. Thanks!
Comment 3 Allon Mureinik 2017-08-03 10:27:36 EDT
Daniel, can you please add some doctext to this BZ?
Comment 4 Natalie Gavrielov 2017-08-07 10:57:59 EDT
Verified, using build:
ovirt-engine-4.1.5.1-0.1.el7.noarch


#cat /etc/ovirt-engine/engine-config/engine-config.properties | grep ImageProxy
ImageProxyAddress.description=URI of ovirt-imageio-proxy service ({fqdn}:{port})
ImageProxyAddress.type=String

# engine-config --get=ImageProxyAddress
ImageProxyAddress: storage-ge-03.scl.lab.tlv.redhat.com:54323 version: general


engine=# select * from vdc_options where option_name='ImageProxyAddress';
 option_id |    option_name    |      option_value      | version 
-----------+-------------------+------------------------+---------
       436 | ImageProxyAddress | ovirt-engine.com:54321 | general


[root@storage-ge-03 bin]# engine-config --set ImageProxyAddress='ovirt-engine.com:54321'

engine=# select * from vdc_options where option_name='ImageProxyAddress';
 option_id |    option_name    |      option_value      | version 
-----------+-------------------+------------------------+---------
       436 | ImageProxyAddress | ovirt-engine.com:54323 | general
(1 row)

Note You need to log in before you can comment on or make changes to this bug.